from datetime import datetime
from uuid import UUID

from pydantic import ConfigDict
from backend.schemas.main_model import MainModel

class HouseBase(MainModel):
  pass

class AreaBase(MainModel):
  pass

class AreaCreate(AreaBase):
  name: str
  desc: str

class HouseCreate(HouseBase):
  icon: str
  name: str
  address: str
  areas: list[AreaCreate]
  model_config = ConfigDict(from_attributes=True)

class HousesList(HouseCreate):
  id: UUID
  created_at: datetime
  updated_at: datetime
  deleted_at: datetime | None

class HousesListResponse(MainModel):
  total: int
  list: list[HousesList]
